Bug 121701 - [stardict] update request to 2.4.X
[stardict] update request to 2.4.X
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: stardict (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Leon Ho
http://stardict.sourceforge.net/index...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-26 07:57 EDT by Marius L. Jøhndal
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-03 15:54:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Workaround for deprecated gtk/gdk functions (445 bytes, text/plain)
2004-06-25 04:44 EDT, Marius L. Jøhndal
no flags Details

  None (edit)
Description Marius L. Jøhndal 2004-04-26 07:57:10 EDT
The stardict package hasn't been updated since 2002. It would be nice
to see this package updated for two reasons: It has evolved from being
a Chinese-only application to a more generalised dictionary
application, and it's now a regular GTK application instead of being
Motif-based.
Comment 1 Leon Ho 2004-05-21 00:56:08 EDT
Sounds good, however would you suggest any GPL or any non-restrictive
dictionaries that can include into the package? Maybe there is no
point of including it without any dict.
Comment 2 Marius L. Jøhndal 2004-05-24 07:31:06 EDT
There's a fairly good selection of dictionaries available in the
stardict directory on SF (http://dl.sf.net/stardict/). The exact
licensing terms aren't clearly stated, but I would assume that the
ones derived from dictionary projects (www.dict.org, www.freedict.de)
are covered by these projects' licensing terms. 

Anyway, the most interesting one is gcide (the GNU version of The
Collaborative International Dictionary, based on a version of
Webster's Unabridged from 1913) which is GPL. 

In any case, updating the package will pave the way for including some
of these dictionaries in Fedora Extras/fedora.us, as I don't see
Fedora Core burdened with a 34 MB package for gcide.
Comment 3 Leon Ho 2004-06-24 01:47:45 EDT
Okay, seems the current version of stardict is not compatible with
GNOME 2.6 because it used some decrepated widget like GtkCombo and
GtkOptionMenu. Do you know if the developer have any plan for a migration?
Comment 4 Marius L. Jøhndal 2004-06-25 04:43:42 EDT
No idea, but an encouraging e-mail from an @redhat.com address
wouldn't hurt ;)
Comment 5 Marius L. Jøhndal 2004-06-25 04:44:40 EDT
Created attachment 101395 [details]
Workaround for deprecated gtk/gdk functions
Comment 6 Leon Ho 2004-11-01 09:14:17 EST
Posted a comment on the bug upstream for a while:
https://sourceforge.net/tracker/?func=detail&atid=560632&aid=923835&group_id=80679

A user has just updated a gtk-2.4 patch:
https://sourceforge.net/tracker/index.php?func=detail&aid=1057386&group_id=80679&atid=560634

May need some testing. 

Anyhow, the software has not updated for a while as well.
Comment 7 Marius L. Jøhndal 2004-12-20 05:18:36 EST
November 24th brought around a new version, so at least there's some activity.
Comment 8 Leon Ho 2005-02-03 15:54:34 EST
2.4.4 is in rawhide now. 
Comment 9 Maxim Britov 2006-04-14 07:57:21 EDT
What about update stardict to current 2.4.6 ? :)
Comment 10 Maxim Britov 2006-04-19 08:22:53 EDT
2.4.7 now http://stardict.sourceforge.net/ChangeLog

Note You need to log in before you can comment on or make changes to this bug.